Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/term_lists.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/term_lists.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/term_lists.c	(revision 25147)
@@ -200,5 +200,5 @@
 int
 AddTerm (TermList ** query_term_list, u_char * Word, int Count, int word_num,
-	 u_long count, u_long doc_count, u_long invf_ptr, u_long invf_len, int stemmer_num)  /* [RPAP - Feb 97: Term Frequency] */
+	 mg_u_long count, mg_u_long doc_count, mg_u_long invf_ptr, mg_u_long invf_len, int stemmer_num)  /* [RPAP - Feb 97: Term Frequency] */
 {
   int j;
@@ -283,9 +283,9 @@
 {
   fprintf (file, "we->word_num = %d\n", we->word_num);
-  fprintf (file, "we->count = %ld\n", we->count);
-  fprintf (file, "we->doc_count = %ld\n", we->doc_count);
-  fprintf (file, "we->max_doc_count = %ld\n", we->max_doc_count);
-  fprintf (file, "we->invf_ptr = %ld\n", we->invf_ptr);
-  fprintf (file, "we->invf_len = %ld\n", we->invf_len);
+  fprintf (file, "we->count = %d\n", we->count);
+  fprintf (file, "we->doc_count = %d\n", we->doc_count);
+  fprintf (file, "we->max_doc_count = %d\n", we->max_doc_count);
+  fprintf (file, "we->invf_ptr = %d\n", we->invf_ptr);
+  fprintf (file, "we->invf_len = %d\n", we->invf_len);
 }
 
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/term_lists.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/term_lists.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/term_lists.h	(revision 25147)
@@ -59,10 +59,10 @@
   {
     int word_num;		/* Unique number for each different word */
-    u_long count;		/* Number of times the word occurs in the text */
-    u_long doc_count;		/* Number of documents that contain the word */
-    u_long max_doc_count;       /* [RPAP - Jan 97: Stem Index Change] */
-    u_long invf_ptr;		/* This is a byte position of the  
+    mg_u_long count;		/* Number of times the word occurs in the text */
+    mg_u_long doc_count;		/* Number of documents that contain the word */
+    mg_u_long max_doc_count;       /* [RPAP - Jan 97: Stem Index Change] */
+    mg_u_long invf_ptr;		/* This is a byte position of the  
 				   inverted file entry corresponding to the word */
-    u_long invf_len;		/* This is the length of the inverted 
+    mg_u_long invf_len;		/* This is the length of the inverted 
 				   file entry in bytes */
   }
@@ -93,5 +93,5 @@
 int AddTermEntry (TermList ** query_term_list, TermEntry * te);
 int AddTerm (TermList ** query_term_list, u_char * Word, int Count, int word_num,
-	     u_long count, u_long doc_count, u_long invf_ptr, u_long invf_len, /* [RPAP - Feb 97: Term Frequency] */
+	     mg_u_long count, mg_u_long doc_count, mg_u_long invf_ptr, mg_u_long invf_len, /* [RPAP - Feb 97: Term Frequency] */
 	     int stemmer_num);  
 void ResetTermList (TermList ** tl);
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/text.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/text.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/text.h	(revision 25147)
@@ -117,10 +117,10 @@
 typedef struct compression_dict_header
   {
-    u_long dict_type;
-    u_long novel_method;
-    u_long params[TEXT_PARAMS];
-    u_long num_words[2];
-    u_long num_word_chars[2];
-    u_long lookback;
+    mg_u_long dict_type;
+    mg_u_long novel_method;
+    mg_u_long params[TEXT_PARAMS];
+    mg_u_long num_words[2];
+    mg_u_long num_word_chars[2];
+    mg_u_long lookback;
   }
 compression_dict_header;
@@ -130,6 +130,6 @@
   {
     huff_data hd;
-    u_long uncompressed_size;
-    u_long huff_words_size[MAX_HUFFCODE_LEN + 1];
+    mg_u_long uncompressed_size;
+    mg_u_long huff_words_size[MAX_HUFFCODE_LEN + 1];
   }
 comp_frags_header;
@@ -139,10 +139,10 @@
 typedef struct compressed_text_header
   {
-    u_long num_of_docs;
-    u_long num_of_words;	/* number of words in collection */
+    mg_u_long num_of_docs;
+    mg_u_long num_of_words;	/* number of words in collection */
     double num_of_bytes; /* [RJM 07/97: 4G limit] */
     double ratio;
-    u_long length_of_longest_doc;	/* (characters) */
-    u_long dummy;    /* added to make the structure the same on different architectures */
+    mg_u_long length_of_longest_doc;	/* (characters) */
+    mg_u_long dummy;    /* added to make the structure the same on different architectures */
   }
 compressed_text_header;
@@ -151,6 +151,6 @@
 typedef struct compression_stats_header
   {
-    u_long num_docs;
-    u_long dummy;   /* added to make the structure the same on different architectures */
+    mg_u_long num_docs;
+    mg_u_long dummy;   /* added to make the structure the same on different architectures */
     double num_bytes; /* [RJM 07/97: 4G limit] */
   }
@@ -160,6 +160,6 @@
 typedef struct frags_stats_header
   {
-    u_long num_frags;
-    u_long mem_for_frags;
+    mg_u_long num_frags;
+    mg_u_long mem_for_frags;
   }
 frags_stats_header;
@@ -168,6 +168,6 @@
 typedef struct aux_frags_header
   {
-    u_long num_frags;
-    u_long mem_for_frags;
+    mg_u_long num_frags;
+    mg_u_long mem_for_frags;
   }
 aux_frags_header;
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/text.pass1.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/text.pass1.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/text.pass1.c	(revision 25147)
@@ -50,6 +50,6 @@
 typedef struct hash_rec
   {
-    unsigned long wcnt;		/* word frequency */
-    unsigned long occurance_num;
+    mg_u_long wcnt;		/* word frequency */
+    mg_u_long occurance_num;
     u_char *word;
   }
@@ -59,9 +59,9 @@
   {
     hash_rec *HashTable;
-    unsigned long HashSize;
-    unsigned long HashUsed;
-    unsigned long wordnum;
-    unsigned long words_read;
-    unsigned long bytes_diff;
+    mg_u_long HashSize;
+    mg_u_long HashUsed;
+    mg_u_long wordnum;
+    mg_u_long words_read;
+    mg_u_long bytes_diff;
     huff_data hd;
   }
@@ -70,6 +70,6 @@
 
 
-static unsigned long LongestDoc = 0;
-static unsigned long occurance_num = 0;
+static mg_u_long LongestDoc = 0;
+static mg_u_long occurance_num = 0;
 static dict_data DictData[2];
 
@@ -77,6 +77,6 @@
 static int PoolLeft;
 static double inputbytes = 0; /* [RJM 07/97: 4G limit] */
-static unsigned long MaxMemInUse = 0;
-static unsigned long MemInUse = 0;
+static mg_u_long MaxMemInUse = 0;
+static mg_u_long MemInUse = 0;
 static compression_stats_header csh =
 {0, 0.0}; /* [RJM 07/97: 4G limit] */
@@ -131,5 +131,5 @@
 	register u_char *wptr;
 	register int hsize = dd->HashSize;
-	register unsigned long hashval, step;
+	register mg_u_long hashval, step;
 
 	HASH (hashval, step, word, hsize);
@@ -189,5 +189,5 @@
       /* Search the hash table for Word */
       {
-	register unsigned long hashval, step;
+	register mg_u_long hashval, step;
 	register int hsize = dd->HashSize;
 	HASH (hashval, step, Word, hsize);
@@ -248,6 +248,6 @@
 	{
 	  hash_rec *ht;
-	  unsigned long size;
-	  unsigned long i;
+	  mg_u_long size;
+	  mg_u_long i;
 	  size = prime (dd->HashSize * 2);
 	  if (!(ht = Xmalloc (sizeof (hash_rec) * size)))
@@ -263,5 +263,5 @@
 	      {
 		register u_char *wptr;
-		register unsigned long hashval, step;
+		register mg_u_long hashval, step;
 
 		wptr = dd->HashTable[i].word;
@@ -325,5 +325,5 @@
 {
   frags_stats_header fsh;
-  u_long j = 0;
+  mg_u_long j = 0;
   u_char *curr;
 
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/text.pass2.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/text.pass2.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/text.pass2.c	(revision 25147)
@@ -82,5 +82,5 @@
   {
     struct char_pool *next;
-    u_long left;
+    mg_u_long left;
     u_char *ptr;
     u_char pool[POOL_SIZE];
@@ -90,5 +90,5 @@
 typedef struct novel_hash_rec
   {
-    u_long ordinal_num;
+    mg_u_long ordinal_num;
     u_char *word;
   }
@@ -102,8 +102,8 @@
   {
     novel_hash_rec *HashTable;
-    u_long HashSize, HashUsed;
+    mg_u_long HashSize, HashUsed;
     char_pool *first_pool;
     char_pool *pool;
-    u_long next_num, binary_start;
+    mg_u_long next_num, binary_start;
     novel_hash_rec **code_to_nhr;
   }
@@ -115,5 +115,5 @@
 static u_char *comp_buffer;
 
-static u_long text_length;
+static mg_u_long text_length;
 
 /* [RJM 07/97: 4G limit] */
@@ -125,5 +125,5 @@
 static novel_hash_table nht[2];
 
-static u_long prefix_len = 0;
+static mg_u_long prefix_len = 0;
 
 int blk_start[2][33], blk_end[2][33];
@@ -165,5 +165,5 @@
     return COMPERROR;
 
-  text_length = sizeof (u_long) + sizeof (cth);
+  text_length = sizeof (mg_u_long) + sizeof (cth);
 
   if (!(text_idx = create_file (file_name, TEXT_IDX_SUFFIX, "w+b",
@@ -287,5 +287,5 @@
       if (ht[which])
 	{
-	  register unsigned long hashval, step;
+	  register mg_u_long hashval, step;
 	  register int tsize = ht[which]->size;
 	  register u_char **wptr;
@@ -336,5 +336,5 @@
 	  if (cdh.dict_type == MG_PARTIAL_DICTIONARY)
 	    {
-	      u_long i;
+	      mg_u_long i;
 	      if (ht[which])
 		{
@@ -358,5 +358,5 @@
 		case MG_NOVEL_HUFFMAN_CHARS:
 		  {
-		    u_long i;
+		    mg_u_long i;
 		    HUFF_ENCODE (Word[0], lens_codes[which],
 				 lens_huff[which].clens);
@@ -371,5 +371,5 @@
 		case MG_NOVEL_HYBRID_MTF:
 		  {
-		    register unsigned long hashval, step;
+		    register mg_u_long hashval, step;
 		    register novel_hash_table *h = &nht[which];
 		    register int hsize = h->HashSize;
@@ -481,6 +481,6 @@
 		      {
 			novel_hash_rec *ht;
-			unsigned long size;
-			unsigned long i;
+			mg_u_long size;
+			mg_u_long i;
 			size = prime (h->HashSize * 2);
 			if (cdh.novel_method == MG_NOVEL_HYBRID_MTF)
@@ -501,5 +501,5 @@
 			    {
 			      register u_char *wptr;
-			      register unsigned long hashval, step;
+			      register mg_u_long hashval, step;
 
 			      wptr = h->HashTable[i].word;
@@ -674,10 +674,10 @@
 {
   int i;
-  u_long aux_compressed = 0, total_uncomp = 0;
+  mg_u_long aux_compressed = 0, total_uncomp = 0;
   for (i = 0; i <= 1; i++)
     {
       int j;
-      long chars[256], fchars[256];
-      long lens[16], flens[16];
+      mg_s_long chars[256], fchars[256];
+      mg_s_long lens[16], flens[16];
       char_pool *cp;
       bzero ((char *) chars, sizeof (chars));
@@ -743,10 +743,10 @@
   HTOND(cth.ratio);
 
-  if (fseek (text_idx, sizeof (u_long), SEEK_SET) == -1 ||
+  if (fseek (text_idx, sizeof (mg_u_long), SEEK_SET) == -1 ||
       fwrite (&cth, sizeof (cth), 1, text_idx) != 1)
     return COMPERROR;
   fclose (text_idx);
 
-  if (fseek (text, sizeof (u_long), SEEK_SET) == -1 ||
+  if (fseek (text, sizeof (mg_u_long), SEEK_SET) == -1 ||
       fwrite (&cth, sizeof (cth), 1, text) != 1)
     return COMPERROR;
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/text_get.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/text_get.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/text_get.c	(revision 25147)
@@ -84,12 +84,12 @@
 
 static double 
-FetchDocStartLev1 (text_data * td, u_long DN,
-		   u_long * seek_pos, u_long * len)
-{
-  unsigned long data[2];
+FetchDocStartLev1 (text_data * td, mg_u_long DN,
+		   mg_u_long * seek_pos, mg_u_long * len)
+{
+  mg_u_long data[2];
   /* [TS:Sep/94] Fixed up the seek call to give the correct offset */
   Fseek (td->TextIdxFile,
-	 sizeof (unsigned long) * (DN - 1) +	/* the doc offsets */
-	 sizeof (unsigned long) +	/* the magic number */
+	 sizeof (mg_u_long) * (DN - 1) +	/* the doc offsets */
+	 sizeof (mg_u_long) +	/* the magic number */
 	 sizeof (compressed_text_header),	/* the header */
 	 0);
@@ -108,5 +108,5 @@
 
 static int 
-LoadIdx (text_data * td, unsigned long DN)
+LoadIdx (text_data * td, mg_u_long DN)
 {
   if (!td->idx_data)
@@ -121,9 +121,9 @@
       int i, num;  /* [RPAP - Jan 97: Endian Ordering] */
 
-      long rn = (long) DN - (MG_PAGE_SIZE >> 1);
+      mg_s_long rn = (mg_s_long) DN - (MG_PAGE_SIZE >> 1);
       if (rn < 1)
 	rn = 1;
-      Fseek (td->TextIdxWgtFile, (sizeof (unsigned long) + sizeof (float)) *
-	       (rn - 1) + sizeof (unsigned long), 0);
+      Fseek (td->TextIdxWgtFile, (sizeof (mg_u_long) + sizeof (float)) *
+	       (rn - 1) + sizeof (mg_u_long), 0);
       num = Fread ((char *) td->idx_data, sizeof (*(td->idx_data)), MG_PAGE_SIZE, /* [RPAP - Jan 97: Endian Ordering] */
 		   td->TextIdxWgtFile);
@@ -142,7 +142,7 @@
 
 static double 
-FDSL2 (text_data * td, unsigned long DN, unsigned long *Pos)
-{
-  unsigned long pos = LoadIdx (td, DN);
+FDSL2 (text_data * td, mg_u_long DN, mg_u_long *Pos)
+{
+  mg_u_long pos = LoadIdx (td, DN);
   *Pos = td->idx_data[pos].Start;
   return (td->idx_data[pos].Weight);
@@ -151,9 +151,9 @@
 
 static double 
-FetchDocStartLev2 (text_data * td, u_long DN,
-		   u_long * seek_pos, u_long * len)
+FetchDocStartLev2 (text_data * td, mg_u_long DN,
+		   mg_u_long * seek_pos, mg_u_long * len)
 {
   double Weight;
-  unsigned long s1, s2;
+  mg_u_long s1, s2;
   Weight = FDSL2 (td, DN, &s1);
   do
@@ -172,5 +172,5 @@
 
 double 
-FetchDocStart (query_data * qd, u_long DN, u_long * seek_pos, u_long * len)
+FetchDocStart (query_data * qd, mg_u_long DN, mg_u_long * seek_pos, mg_u_long * len)
 {
   qd->text_idx_lookups++;
@@ -181,11 +181,11 @@
 }
 
-unsigned long 
-FetchInitialParagraph (text_data * td, unsigned long ParaNum)
+mg_u_long 
+FetchInitialParagraph (text_data * td, mg_u_long ParaNum)
 {
   if (td->TextIdxWgtFile)
     {
-      unsigned long pos;
-      unsigned long start;
+      mg_u_long pos;
+      mg_u_long start;
       int PN = ParaNum - 1;
       pos = LoadIdx (td, ParaNum);
@@ -583,5 +583,5 @@
 	{
 	  huff_data *hd;
-	  u_long **vals;
+	  mg_u_long **vals;
 	  if (cd->cdh.num_words[which])
 	    {
@@ -625,5 +625,5 @@
 	{
 	  huff_data *hd;
-	  u_long **vals;
+	  mg_u_long **vals;
 	  if (cd->cdh.num_words[which])
 	    {
@@ -716,8 +716,8 @@
 {
   compression_dict *cd;
-  u_long *p, *end;
+  uintptr_t *p, *end;
   u_char *fixup;
-  u_long mem;
-  u_long fixup_mem;
+  mg_u_long mem;
+  mg_u_long fixup_mem;
   int i;  /* [RPAP - Jan 97: Endian Ordering] */
 
@@ -732,5 +732,5 @@
     }
 
-  end = (u_long *) (((u_char *) cd) + mem);
+  end = (uintptr_t *) (((u_char *) cd) + mem);
   Fread (cd, sizeof (u_char), mem, text_fast_comp_dict);
 
@@ -743,9 +743,9 @@
   Fread (fixup, fixup_mem, sizeof (u_char), text_fast_comp_dict);
 
-  for (p = (u_long *) cd; (u_long) p < (u_long) end; p++)
+  for (p = (uintptr_t *) cd; (uintptr_t) p < (uintptr_t) end; p++)
     if (IS_FIXUP (p))
       {
 	NTOHUL(*p);  /* [RPAP - Jan 97: Endian Ordering] */
-	*p = *p + (u_long) cd;
+	*p = *p + (uintptr_t) cd;
       }
 
@@ -863,7 +863,7 @@
 #define MY_HUFF_DECODE(len, code, mcodes)				\
   do {									\
-    register unsigned long *__min_code = (mcodes);			\
-    register unsigned long *__mclen = __min_code;			\
-    register unsigned long __code = 0;					\
+    register mg_u_long *__min_code = (mcodes);			\
+    register mg_u_long *__mclen = __min_code;			\
+    register mg_u_long __code = 0;					\
     do									\
       {									\
@@ -886,8 +886,8 @@
   auxiliary_dict *ad = cd->ad;
   int which;
-  u_long num_bits, bits;
+  mg_u_long num_bits, bits;
   u_char *ptr = s_out;
   static int num = 0;
-  u_long binary_start[2];
+  mg_u_long binary_start[2];
   int novels_used[2];
   int swaps[2][MAX_SWAPS];
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/text_get.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/text_get.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/text_get.h	(revision 25147)
@@ -32,7 +32,7 @@
  * It returns the true weight of the document.
  */
-double FetchDocStart (query_data * qd, u_long DN, u_long * seek_pos, u_long * len);
+double FetchDocStart (query_data * qd, mg_u_long DN, mg_u_long * seek_pos, mg_u_long * len);
 
-unsigned long FetchInitialParagraph (text_data * td, unsigned long ParaNum);
+mg_u_long FetchInitialParagraph (text_data * td, mg_u_long ParaNum);
 
 
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/weights.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/weights.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/weights.c	(revision 25147)
@@ -39,5 +39,5 @@
 #include "mg_errors.h"
 
-#define MAXBITS (sizeof(unsigned long) * 8)
+#define MAXBITS (sizeof(mg_u_long) * 8)
 
 /*
@@ -63,5 +63,5 @@
 approx_weights_data *
 LoadDocWeights (File * weight_file,
-		unsigned long num_of_docs)
+		mg_u_long num_of_docs)
 {
   approx_weights_data *awd;
@@ -74,5 +74,5 @@
     }
 
-  Fseek (weight_file, sizeof (long), 0);
+  Fseek (weight_file, sizeof (mg_s_long), 0);
   Fread (&awd->bits, sizeof (awd->bits), 1, weight_file);
   Fread (&awd->L, sizeof (awd->L), 1, weight_file);
@@ -84,5 +84,5 @@
 
   num = (num_of_docs * awd->bits + 31) / 32;
-  if (!(awd->DocWeights = Xmalloc (sizeof (unsigned long) * num)))
+  if (!(awd->DocWeights = Xmalloc (sizeof (mg_u_long) * num)))
     {
       Xfree (awd);
@@ -91,13 +91,13 @@
     }
 
-  Fread (awd->DocWeights, sizeof (unsigned long), num, weight_file);
+  Fread (awd->DocWeights, sizeof (mg_u_long), num, weight_file);
   {
     /* [RPAP - Jan 97: Endian Ordering] */
-    unsigned long i;
+    mg_u_long i;
     for (i = 0; i < num; i++)
       NTOHUL(awd->DocWeights[i]);
   }
 
-  awd->MemForWeights = num * sizeof (unsigned long);
+  awd->MemForWeights = num * sizeof (mg_u_long);
   awd->num_of_docs = num_of_docs;
 
@@ -129,6 +129,6 @@
 GetLowerApproxDocWeight (approx_weights_data * awd, register int DocNum)
 {
-  register unsigned long c, Pos;
-  register unsigned long *dw;
+  register mg_u_long c, Pos;
+  register mg_u_long *dw;
   if (awd == NULL)
     return 1.0;
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/weights.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/weights.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/weights.h	(revision 25147)
@@ -26,5 +26,5 @@
 
 approx_weights_data *LoadDocWeights (File * weight_file,
-				     unsigned long num_of_docs);
+				     mg_u_long num_of_docs);
 
 float GetLowerApproxDocWeight (approx_weights_data * awd, register int DocNum);
Index: main/trunk/greenstone2/common-src/indexers/mg/sysfuncs.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/sysfuncs.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/sysfuncs.h	(revision 25147)
@@ -351,12 +351,9 @@
 #endif
 
-/* [RPAP - Feb 97: WIN32 Port] */
-#ifndef u_long
-# define u_long unsigned long
-#endif
+#include "mglong.h"
+
 #ifndef u_char
 # define u_char unsigned char
 #endif
 
-
 #endif /* SYSFUNCS_H */
